/** ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : Czerwona.h
**     Project     : ProcessorExpert
**     Processor   : MKL25Z128VLK4
**     Component   : LED
**     Version     : Component 01.054, Driver 01.00, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2013-03-31, 15:35, # CodeGen: 0
**     Abstract    :
**          This component implements a universal driver for a single LED.
**     Settings    :
**          Component name                                 : Czerwona
**          Turned On with initialization                  : no
**          HW Interface                                   : 
**            On/Off                                       : Enabled
**              Pin                                        : LEDpin
**            PWM                                          : Disabled
**            High Value means ON                          : no
**          Shell                                          : Disabled
**     Contents    :
**         Init       - void Czerwona_Init(void);
**         Deinit     - void Czerwona_Deinit(void);
**         On         - void Czerwona_On(void);
**         Off        - void Czerwona_Off(void);
**         Neg        - void Czerwona_Neg(void);
**         Get        - byte Czerwona_Get(void);
**         Put        - void Czerwona_Put(byte val);
**         SetRatio16 - void Czerwona_SetRatio16(word ratio);
**
**     License   :  Open Source (LGPL)
**     Copyright : (c) Copyright Erich Styger, 2012, all rights reserved.
**     Web: http://mcuoneclipse.com
**     This an open source software implementing an LED driver using Processor Expert.
**     This is a free software and is opened for education, research and commercial developments under license policy of following terms:
**     * This is a free software and there is NO WARRANTY.
**     * No restriction on use. You can use, modify and redistribute it for personal, non-profit or commercial product UNDER YOUR RESPONSIBILITY.
**     * Redistributions of source code must retain the above copyright notice.
** ###################################################################*/

#ifndef __Czerwona_H
#define __Czerwona_H

/* MODULE Czerwona. */

/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited beans */
#include "LEDpin1.h"

#include "Cpu.h"

#define Czerwona_ClrVal()    LEDpin1_ClrVal() /* put the pin on low level */
#define Czerwona_SetVal()    LEDpin1_SetVal() /* put the pin on high level */
#define Czerwona_SetInput()  LEDpin1_SetInput() /* use the pin as input pin */
#define Czerwona_SetOutput() LEDpin1_SetOutput() /* use the pin as output pin */

#define Czerwona_PARSE_COMMAND_ENABLED  0 /* set to 1 if method ParseCommand() is present, 0 otherwise */


#define Czerwona_On() LEDpin1_ClrVal()
/*
** ===================================================================
**     Method      :  Czerwona_On (component LED)
**
**     Description :
**         This turns the LED on.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define Czerwona_Off() LEDpin1_SetVal()
/*
** ===================================================================
**     Method      :  Czerwona_Off (component LED)
**
**     Description :
**         This turns the LED off.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define Czerwona_Neg() LEDpin1_NegVal()
/*
** ===================================================================
**     Method      :  Czerwona_Neg (component LED)
**
**     Description :
**         This negates/toggles the LED
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define Czerwona_Get() (!(LEDpin1_GetVal()))
/*
** ===================================================================
**     Method      :  Czerwona_Get (component LED)
**
**     Description :
**         This returns logical 1 in case the LED is on, 0 otherwise.
**     Parameters  : None
**     Returns     :
**         ---             - Status of the LED (on or off)
** ===================================================================
*/

#define Czerwona_Init() Czerwona_Off()
/*
** ===================================================================
**     Method      :  Czerwona_Init (component LED)
**
**     Description :
**         Performs the LED driver initialization.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

#define Czerwona_Put(val)  ((val) ? Czerwona_On() : Czerwona_Off())
/*
** ===================================================================
**     Method      :  Czerwona_Put (component LED)
**
**     Description :
**         Turns the LED on or off.
**     Parameters  :
**         NAME            - DESCRIPTION
**         val             - value to define if the LED has to be on or
**                           off.
**     Returns     : Nothing
** ===================================================================
*/

void Czerwona_Deinit(void);
/*
** ===================================================================
**     Method      :  Czerwona_Deinit (component LED)
**
**     Description :
**         Deinitializes the driver
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

void Czerwona_SetRatio16(word ratio);
/*
** ===================================================================
**     Method      :  Czerwona_SetRatio16 (component LED)
**
**     Description :
**         Method to specify the duty cycle. If using a PWM pin, this
**         means the duty cycle is set. For On/off pins, values smaller
**         0x7FFF means off, while values greater means on.
**     Parameters  :
**         NAME            - DESCRIPTION
**         ratio           - Ratio value, where 0 means 'off' and
**                           0xffff means 'on'
**     Returns     : Nothing
** ===================================================================
*/

/* END Czerwona. */

#endif
/* ifndef __Czerwona_H */
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.0 [05.03]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
